Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: smartcard::CardReaderManager Interface Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
smartcard::CardReaderManager Interface Reference

Card Reader Manager Interface. More...

## Classes
struct | CardReaderAttachedEvent
| Card Reader attached event. More...
struct | CardReaderDetachedEvent
| Card Reader detached event. More...
struct | CardReaderEvent
| Card Reader base event. More...
struct | CardReaderSettings
| Card Reader Settings. More...
struct | CardReaderSettingsChangedEvent

## Public Member Functions
vector< CardReader > | getCardReaders ()
| Retrieve the list of connected card readers. More...
CardReader | getCardReaderById (in string readerId)
| Get card reader for a specific id. More...
int | setCardReaderSettings (in string position, in CardReaderSettings setting)
| Set settings for a card reader. More...
map< string, CardReaderSettings > | getAllCardReaderSettings ()
| Get settings for all card readers. More...
vector< string > | getSupportedCardFormats ()
| Retrieve the list of supported card formats like "RAW", "H10301", etc. More...

## Detailed Description

Card Reader Manager Interface.

## Member Function Documentation

## ◆ getAllCardReaderSettings()

map< string, CardReaderSettings > smartcard::CardReaderManager::getAllCardReaderSettings | ( |  | ) |

Get settings for all card readers.

Returns
  Map of settings by card reader position (see CardReader::MetaData)

## ◆ getCardReaderById()

CardReader smartcard::CardReaderManager::getCardReaderById | ( | in string | readerId | ) |

Get card reader for a specific id.

Parameters

  readerId | card reader id

Returns
  Card Reader with given id or null

## ◆ getCardReaders()

vector< CardReader > smartcard::CardReaderManager::getCardReaders | ( |  | ) |

Retrieve the list of connected card readers.

Returns
  Card Readers list

## ◆ getSupportedCardFormats()

vector< string > smartcard::CardReaderManager::getSupportedCardFormats | ( |  | ) |

Retrieve the list of supported card formats like "RAW", "H10301", etc.

Returns
  Card Formats list

## ◆ setCardReaderSettings()

int smartcard::CardReaderManager::setCardReaderSettings | ( | in string | position,
|  | in CardReaderSettings | setting
| ) |  |

Set settings for a card reader.

Parameters

  position | position of card reader (see CardReader::MetaData)
  settings | new settings for card reader

Returns
  NO_ERROR if OK
  ERR_INVALID_PARAMS if any setting is invalid

Note
  The CardReaderSettings structure can be "sparse"; fields missing in the JSON representation will remain unchanged.

The documentation for this interface was generated from the following file:

- CardReaderManager.idl